Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001336 [1003.1(2016/18)/Issue7+TC2] System Interfaces Objection Error 2020-04-23 13:09 2020-11-13 12:23
Reporter dennisw View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Dennis Wölfing
Organization
User Reference
Section getrusage
Page Number 1089
Line Number 36960-36962
Interp Status Pending
Final Accepted Text Note: 0005113
Summary 0001336: getrusage should recursively include information about children of children
Description The specification for getrusage says that for RUSAGE_CHILDREN information about waited-for
children of the current process is returned. However existing implementations also recursively
include children of children.

In XBD 3.93 Child Process is defined as
A new process created (by fork( ), posix_spawn( ), or posix_spawnp( )) by a given process. A child
process remains the child of the creating process as long as both processes continue to exist.
which makes clear that children of children are not considered children of the current process.
Desired Action On page 1089 lines 36960-36962 section getrusage, change
If the
value of the who argument is RUSAGE_CHILDREN, information shall be returned about
resources used by the terminated and waited-for children of the current process.
to
If the
value of the who argument is RUSAGE_CHILDREN, information shall be returned about
resources used by the terminated and waited-for children of the current process and
recursively the terminated and waited-for children thereof.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0005113)
rhansen (manager)
2020-11-12 16:26

Interpretation response
------------------------
The standard states that getrusage() with RUSAGE_CHILDREN only reports on direct children, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
No known implementation has ever worked this way.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

On page 1089 lines 36960-36962 section getrusage, change
If the value of the who argument is RUSAGE_CHILDREN, information shall be returned about resources used by the terminated and waited-for children of the current process.
to:
If the value of the who argument is RUSAGE_CHILDREN, information shall be returned about resources used by the children of the current process that have terminated and been waited-for and their children that have terminated and been waited-for, recursively.
(0005114)
agadmin (administrator)
2020-11-13 12:23

Interpretation proposed: 13 Nov 2020

- Issue History
Date Modified Username Field Change
2020-04-23 13:09 dennisw New Issue
2020-04-23 13:09 dennisw Name => Dennis Wölfing
2020-04-23 13:09 dennisw Section => getrusage
2020-04-23 13:09 dennisw Page Number => 1089
2020-04-23 13:09 dennisw Line Number => 36960-36962
2020-11-12 16:26 rhansen Note Added: 0005113
2020-11-12 16:28 rhansen Interp Status => Pending
2020-11-12 16:28 rhansen Final Accepted Text => Note: 0005113
2020-11-12 16:28 rhansen Status New => Interpretation Required
2020-11-12 16:28 rhansen Resolution Open => Accepted As Marked
2020-11-12 16:28 rhansen Tag Attached: tc3-2008
2020-11-13 12:23 agadmin Note Added: 0005114


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker